/**
 * @author Alexander Manzyuk <admsev@gmail.com>
 * Copyright (c) 2012 Alexander Manzyuk - released under MIT License
 * https://github.com/admsev/jquery-play-sound
 * Usage: $.playSound('http://example.org/sound.mp3');
**/

(function ($) {

    $.extend({
        playSound: function () {
            var $element =  $('<audio autoplay="autoplay" style="display:none;" >'
                + '<source src="' + arguments[0] + '" />'
                + '<embed src="' + arguments[0] + '" hidden="true" autostart="true" loop="false" class="playSound"/>'
              + '</audio>'
            ).appendTo('body');

            //nastavm hlasitost
            if (arguments[1] != undefined || arguments[1] != null) {
                $element.uniqueId();

                var audio = document.getElementById($element.attr("id"));
                audio.volume = arguments[1];
            }
            return;
        }
    });

})(jQuery);
